Bug 736104 - httpd update broke PAM authentication
httpd update broke PAM authentication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 13:30 EDT by Vadym Chepkov
Modified: 2012-01-30 12:40 EST (History)
5 users (show)

See Also:
Fixed In Version: httpd-2.2.21-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 782256 (view as bug list)
Environment:
Last Closed: 2011-09-15 21:58:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2011-09-06 13:30:53 EDT
After updating from httpd-2.2.17-10.fc15.1.i686 to httpd-2.2.19-2.fc15.i686 
mod_auth_pam got broken.

This is the configuration:


<Directory /var/www/html/restricted/vpn>
   AuthPAM_Enabled on
   AuthType Basic
   AuthName "VPN Users"
   require group vpnadmins
</Directory>


I get 500 Internal server error with the following line in the log:


[Tue Sep 06 10:29:47 2011] [error] [client 192.168.17.80] AuthUserFile not specified in the configuration
Comment 1 Fedora Update System 2011-09-13 10:00:50 EDT
httpd-2.2.21-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/httpd-2.2.21-1.fc15
Comment 2 Fedora Update System 2011-09-14 18:37:10 EDT
Package httpd-2.2.21-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-2.2.21-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/httpd-2.2.21-1.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-09-15 21:57:53 EDT
httpd-2.2.21-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Norman Gaywood 2012-01-16 00:37:06 EST
I have the same issue in F16.

I see in koji that for the last F15 update we have:

* Tue Sep 13 2011 Joe Orton <jorton@redhat.com> - 2.2.21-1
- update to 2.2.21
- restore authnoprov patch (#736104)

But for the last F16 update we have:

* Tue Sep 13 2011 Joe Orton <jorton@redhat.com> - 2.2.21-1
- update to 2.2.21

Did the "restore authnoprov patch" not get applied to F16?
Comment 5 Michael 2012-01-30 12:40:03 EST
I am still having this issue in F16 as well.  Could someone possibly review/reopen this ticket?

Note You need to log in before you can comment on or make changes to this bug.